body {
  overflow-x: hidden;
}

section {
  margin-left: 40px;
  margin-right: 20px;
  margin-top: 20px;
}

/* first nav bar codes */

.filter-navbar1 {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.left p {
  font-family: "Josefin Sans";
  font-size: x-large;
  font-weight: 500;
  color: #151875;
  margin: 0%;
}

.right {
  display: flex;
  flex-direction: row;
}

.right p {
  margin: 0%;
  font-family: "Lato";
  font-size: small;
  font-weight: 500;
  color: #3f509e;
}

.right p:nth-child(2) {
  margin-left: 5px;
  cursor: pointer;
}

.right-svg {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-left: 7px;
  cursor: pointer;
}

.right-container {
  display: flex;
  flex-direction: row;
  gap: 15px;
}

.inner-right-container1 {
  display: block;
}

.inner-right-container2 {
  display: none;
  flex-direction: row;
  height: 16px;
}

.inner-right-container2 p {
  margin: 0%;
  font-family: "Lato";
  font-size: small;
  font-weight: 500;
  color: #3f509e;
}

.sortby-options {
  margin-top: 10px;
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border: 1px solid rgb(206, 199, 199);
  cursor: pointer;
  border-radius: 5%;
  z-index: 1;
  background-color: white;
  position: absolute;
  width: 166.73px;
}

.sortby-options-visible {
  display: block;
}

.hidden {
  display: none;
}

.visible {
  display: flex;
}

#filter-closebtn{
  cursor: pointer;
}

.sortby-options .options {
  height: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  z-index: 1;
}

.sortby-options .options:hover {
  background-color: rgb(228, 223, 223);
  z-index: 1;
}

.sortby-options p {
  margin: 0%;
  font-family: "Lato";
  font-size: small;
  z-index: 1;
}

.results {
  display: flex;
  flex-direction: row;
}

/* left fitration option code */

.filter-navbar2 {
  width: 20%;
  margin-top: 10px;
}

.filtration-option .OptionName {
  font-family: "Josefin Sans";
  color: #151875;
  font-weight: 500;
  font-size: medium;
  border-bottom: 2px solid black;
  display: inline-block;
  padding-bottom: 5px;
  cursor: pointer;
}


label {
  color: #7e81a2;
  font-family: "Lato";
  font-weight: 500;
  font-size: medium;
  cursor: pointer;
}

.product-list {
  width: 80%;
  margin-top: 16px;
  overflow-y: scroll;
  scrollbar-width: none;
  -ms-overflow-style: none;
  margin-bottom: 15px;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 16px;
}

.product {
  box-shadow: 0px 0px 10px 5px rgba(248, 246, 253, 0.75);
  margin-bottom: 15px;
  cursor: pointer;
  transition: transform 0.2s;
  border-top: 1px solid rgba(248, 246, 253, 0.75);
  border-right: 1px solid rgba(248, 246, 253, 0.75);
  border-left: 1px solid rgba(248, 246, 253, 0.75);
  border-bottom: 1px solid rgba(248, 246, 253, 0.75);
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 15px;
  max-width: 360px;
}

.product-img {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  width: 100%;
  min-height: 280px;
}

.product-img img {
  width: 80%;
  height: auto;
  max-width: 250px;
}

.product-details {
  display: flex;
  flex-direction: column;
  gap: 10px;
  align-items: center;
  text-align: center;
  width: 100%;
}

.product-name {
  display: flex;
  flex-direction: column;
  gap: 10px;
  width: 100%;
  align-items: center;
}

.product-name p {
  font-family: "Josefin Sans";
  color: #111c85;
  font-weight: 500;
  font-size: medium;
  margin: 0;
  width: 90%;
  word-wrap: break-word;
  overflow-wrap: break-word;
  white-space: normal;
  overflow: hidden;
}

.dots-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 2px;
}

.dot {
  width: 11px;
  height: 11px;
  border-radius: 50%;
}

.yellow {
  background-color: #de9034;
}

.pink {
  background-color: #e60584;
}

.blue {
  background-color: #5e37ff;
}

.product-cost-rate {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 15px;
}

.price {
  font-family: "Josefin Sans";
  font-weight: 400;
  font-size: medium;
  margin: 0;
  margin-top: 8px;
}

.discount {
  color: #111c85;
}

.cost {
  color: #ff2aaa;
  text-decoration: line-through;
}

/* star */

.star {
  font-size: 20px;
  color: #b2b2b2;
}

.price-wrapper {
  display: flex;
  flex-direction: row;
  gap: 15px;
  margin-bottom: 10px;
}

.filled {
  color: #ffc416;
}

/* check box */

.checkbox-container {
  display: flex;
  align-items: center;
  position: relative;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  color: #7e81a2;
  font-family: "Lato";
  font-weight: 500;
  font-size: medium;
  cursor: pointer;
  margin-bottom: 7px;
}

.custom-checkbox {
  appearance: none;
  width: 16px;
  height: 16px;
  background-color: #fff;
  border: 2px solid #7e81a2;
  border-radius: 4px;
  position: relative;
  cursor: pointer;
}

.custom-checkbox:checked {
  background-color: #151875;
  border: 2px solid #151875;
}

.custom-checkbox:checked::before {
  content: "";
  width: 4px;
  height: 8px;
  border: solid white;
  border-width: 0 2px 2px 0;
  position: absolute;
  top: -1px;
  left: 3px;
  transform: rotate(45deg);
  display: block;
}

.checkbox-container p{
  margin: 0;
  margin-left: 22px;
}

.checkbox-container span:hover{
  color: #151875;
}

.checkbox-container p:hover{
  color: #151875;
}

.checkmark {
  position: absolute;
  top: 50%;
  left: 0;
  height: 15px;
  width: 15px;
  background-color: #eee;
  transform: translateY(-50%);
}

.checkbox-container input[type="checkbox"]:checked::after {
  content: " ";
  font-size: 16px;
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
}

.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

.checkbox-container input:checked ~ .checkmark:after {
  display: block;
}

.checkbox-container .checkmark:after {
  left: 5px;
  top: 2px;
  width: 3px;
  height: 7px;
  border: solid white;
  border-width: 0 2px 2px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

.product-description p {
  font-family: "Lato";
  color: #9295aa;
  font-weight: 400;
  font-size: medium;
  margin: 0%;
  margin-top: 5px;
  margin-bottom: 5px;
}

.product-actions {
  position: absolute;
  display: flex;
  flex-direction: row;
  gap: 25px;
  bottom: 20px;
  left: 10px;
}

.action-button {
  width: 19px;
  height: 19px;
  border-radius: 50%;
  background-color: white;
  box-shadow: 0px 0px 25px rgba(0, 0, 0, 0.05);
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

/* price slider */

.slider-container {
  max-width: 200px;
  width: 90%;
}

.slider {
  height: 5px;
  position: relative;
  background: #ddd;
  border-radius: 5px;
  margin-top: 15px;
}

.slider .progress {
  height: 100%;
  left: 25%;
  right: 25%;
  position: absolute;
  border-radius: 5px;
  background: #151875;
}

.range-input {
  position: relative;
}

.range-input input {
  position: absolute;
  width: 100%;
  height: 5px;
  top: -6px;
  background: none;
  pointer-events: none;
  -webkit-appearance: none;
  -moz-appearance: none;
}

.range-min {
  left: -5px;
}

input[type="range"]::-webkit-slider-thumb {
  height: 17px;
  width: 17px;
  border-radius: 50%;
  background: #151875;
  pointer-events: auto;
  -webkit-appearance: none;
  box-shadow: 0 0 6px rgba(0, 0, 0, 0.05);
}

input[type="range"]::-moz-range-thumb {
  height: 17px;
  width: 17px;
  border: none;
  border-radius: 50%;
  background: #151875;
  pointer-events: auto;
  -moz-appearance: none;
  box-shadow: 0 0 6px rgba(0, 0, 0, 0.05);
}

.field {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.field:last-child {
  margin-top: 10px;
}

.field p {
  margin: 0px;
  font-family: "Lato";
  font-weight: 400;
  color: #7e81a2;
  font-size: medium;
}

.field span {
  margin: 0;
  margin-left: 5px;
  font-family: "Lato";
  color: #7e81a2;
  font-size: medium;
}

.field {
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
}

.go-button {
  margin-top: 20px;
  padding: 10px 20px;
  background-color: #151875;
  color: white;
  border: none;
  cursor: pointer;
  font-size: 16px;
  border-radius: 5px;
}

/* mobile slider */

.sslider-container {
  max-width: 200px;
  width: 90%;
}

.sslider {
  height: 5px;
  position: relative;
  background: #ddd;
  border-radius: 5px;
  margin-top: 15px;
}

.sslider .sprogress {
  height: 100%;
  left: 25%;
  right: 25%;
  position: absolute;
  border-radius: 5px;
  background: #151875;
}

.srange-input {
  position: relative;
}

.srange-input input {
  position: absolute;
  width: 100%;
  height: 5px;
  top: -6px;
  background: none;
  pointer-events: none;
  -webkit-appearance: none;
  -moz-appearance: none;
}

.srange-min {
  left: -5px;
}

input[type="range"]::-webkit-slider-thumb {
  height: 17px;
  width: 17px;
  border-radius: 50%;
  background: #151875;
  pointer-events: auto;
  -webkit-appearance: none;
  box-shadow: 0 0 6px rgba(0, 0, 0, 0.05);
}

input[type="range"]::-moz-range-thumb {
  height: 17px;
  width: 17px;
  border: none;
  border-radius: 50%;
  background: #151875;
  pointer-events: auto;
  -moz-appearance: none;
  box-shadow: 0 0 6px rgba(0, 0, 0, 0.05);
}

@media (max-width: 885px) {
  section {
    margin-left: 20px;
    margin-right: 20px;
    margin-top: 20px;
  }
}


@media (max-width:385px) {
  .sslider-container {
    width: 80%;
  }
}
/* responsive code */

@media (max-width: 813px) {
  .inner-right-container2 {
    display: flex;
    cursor: pointer;
  }

  .filter-navbar2 {
    display: none;
  }

  .product-list {
    width: 100%;
  }

  section {
    margin-left: 20px;
    margin-right: 20px;
    margin-top: 20px;
  }
}

/* Media query for screens under 600px */
@media (max-width: 640px) {
  .product-cost-rate {
    flex-direction: column;
    align-items: flex-start;
    gap: 5px;
  }

  .product-name p {
    font-size: 14px;
  }

  .dot {
    width: 8px;
    height: 8px;
  }

  .price {
    font-size: 14px;
  }

  .star {
    font-size: 15px;
  }

  .product-description p {
    font-size: 14px;
    font-family: "Lato";
    color: #9295aa;
    font-weight: 400;
    margin: 0%;
    margin-top: 5px;
    margin-bottom: 5px;
  }
}

@media (max-width: 450px) {
  .product-img {
    margin-left: 0px;
    margin-top: 0px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
  }

  .product {
    flex-direction: column;
    height: auto;
  }

  .product-details {
    margin-top: 20px;
    margin-left: 10px;
    margin-right: 10px;
  }

  .product {
    padding-bottom: 10px;
  }

  .product-img {
    min-width: 100%;
    max-width: 100%;
    min-height: 300px;
    max-height: 300px;
  }
}

/* filter container */

.filter-options {
  display: none;
  flex-direction: column;
  position: absolute;
  top: 110px;
  left: 1px;
  z-index: 1000;
  background-color: white;
  width: calc(100vw - 21px);
  padding-left: 20px;
}

.inner-filter-options {
  display: flex;
  flex-direction: row;
  width: calc(100% - 21px);
  height: calc(100% - 105px);
  background-color: white;
}

.filter-category-container {
  width: 35%;
  height: 100%;
  overflow-y: auto;
  overflow-x: hidden;
}

.filter-category-container::-webkit-scrollbar {
  display: none;
}

.filter-options-category {
  width: calc(62%);
  height: 100%;
  overflow-y: auto;
  overflow-x: hidden;
}

.filter-options-categor::-webkit-scrollbar {
  display: none;
}

.show-result-container {
  width: calc(100vw - 40px);
  height: 55px;
}

.sidebar-filter-option {
  height: 53px;
  width: 98%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #f3f3f7;
  border-top: 1px solid rgb(210, 213, 217, 1);
  border-right: 1px solid rgb(210, 213, 217, 1);
  border-left: 1px solid rgb(210, 213, 217, 1);
  cursor: pointer;
}

.sidebar-filter-option:last-child {
  border-bottom: 1px solid rgb(210, 213, 217, 1);
}

.sidebar-filter-option p {
  margin: 0;
  font-family: "Lato";
  font-weight: 400;
  color: #0d0e43;
}

.s-active {
  border-top: 0px solid rgb(210, 213, 217, 1);
  border-right: 0px solid rgb(210, 213, 217, 1);
  border-left: 1px solid #e60584;
  background-color: white;
}

.s-active:not(:first-child) {
  border-top: 1px solid rgb(210, 213, 217, 1);
}

.s-active p {
  color: #e60584;
}

.s-active:last-child {
  border-bottom: 0px solid rgb(210, 213, 217, 1);
}

.filter-container-name {
  background-color: white;
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 20px;
  margin-top: 10px;
  width: calc(100% - 21px);
}

.filter-container-name p {
  margin: 0;
  font-family: "Lato";
  font-weight: bold;
  color: #0d0e43;
  font-size: large;
}

.filter-container-name i {
  margin-right: 5px;
  cursor: pointer;
}

.filter-options-category section {
  height: 100%;
  width: 100%;
  margin: 0;
}

.filter-options-category p {
  margin: 0;
}

.s-option1name,
.s-option2name,
.s-option3name {
  margin: 0;
  padding-left: 20px;
  padding-top: 10px;
  font-family: "Josefin Sans";
  font-weight: 600;
  color: #0d0e43;
  font-size: large;
}

.brands-options {
  padding-top: 15px;
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  width: 100%;
  padding-left: 20px;
  padding-right: 10px;
}

.sbrand-option {
  flex: 1 1 auto;
  max-width: fit-content;
  height: 35px;
  color: black;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 5px;
  border: 1px solid #e8e8e8;
  padding: 0 10px;
}

.sbrand-active {
  border: 1px solid #e60584;
}

.sbrand-active p {
  color: #e60584 !important;
}

.sbrand-option p {
  margin: 0;
  font-family: "Lato";
  font-weight: normal;
  color: #0d0e43;
  font-size: normal;
}

.price-options {
  padding-top: 15px;
  width: 100%;
  padding-left: 20px;
  padding-right: 10px;
}

.sprice-display {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.sprice-display p {
  margin: 0px;
  font-family: "Lato";
  font-weight: 400;
  color: #7e81a2;
  font-size: medium;
}

.sprice-display span {
  color: #7e81a2;
  font-size: medium;
  margin-left: 5px;
  font-size: medium;
  margin-top: 3px;
}

.sfield {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.sprice-display {
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
}

.ssortby-options {
  padding-top: 15px;
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  width: 90%;
  padding-left: 20px;
  padding-right: 10px;
}

.ssortby-option {
  flex: 1 1 auto;
  max-width: fit-content;
  height: 35px;
  color: black;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 5px;
  border: 1px solid #e8e8e8;
  padding: 0 10px;
}

.ssortby-option p {
  margin: 0;
  font-family: "Lato";
  font-weight: normal;
  color: #0d0e43;
  font-size: normal;
}

.ssortby-active {
  border: 1px solid #e60584;
}

.ssortby-active p {
  color: #e60584;
}

.show-result-container {
  border-top: 1px solid #e8e8e8;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.clear-filters {
  border: 1px solid #e8e8e8;
  height: 40px;
  border-radius: 8px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding-left: 10px;
  padding-right: 10px;
  cursor: pointer;
}

.clear-filters p {
  margin: 0;
  font-family: "Lato";
  font-weight: normal;
  color: #e60584;
  font-size: normal;
}

.show-results {
  border: 1px solid #e8e8e8;
  height: 40px;
  border-radius: 8px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding-left: 10px;
  padding-right: 10px;
  background-color: #e60584;
  cursor: pointer;
}

.show-results p {
  margin: 0;
  font-family: "Lato";
  font-weight: normal;
  color: white;
  font-size: normal;
}

.loader {
  width: 20px;
  height: 20px;
  border: 2px solid #fff;
  border-bottom-color: #0d0e43;
  border-radius: 50%;
  display: inline-block;
  box-sizing: border-box;
  animation: rotation 1s linear infinite;
}

@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

.loader-container {
  width: 100vw;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  position: fixed;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.5);
  z-index: 9999;
  display: none;
}

.loader-main {
  width: 48px;
  height: 48px;
  border-radius: 50%;
  display: inline-block;
  border-top: 4px solid #1d3178;
  border-right: 4px solid transparent;
  box-sizing: border-box;
  animation: rotation-main 1s linear infinite;
}

.loader-main::after {
  content: "";
  box-sizing: border-box;
  position: absolute;
  left: 0;
  top: 0;
  width: 48px;
  height: 48px;
  border-radius: 50%;
  border-bottom: 4px solid #fb2e86;
  border-left: 4px solid transparent;
}

@keyframes rotation-main {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

.no-results {
  width: 100%;
  height: 100%;
}

.no-results p {
  margin: 0;
  font-family: "Josefin Sans";
}

@media (max-width: 400px) {
  #sortbytext {
    display: none;
  }
}

@media (max-width: 318px) {
  #sortby-value {
    text-align: right;
  }
}

/* product category cotainer */

.product-page-container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background-color: rgba(246, 245, 255, 1);
  font-family: "Lato";
  font-size: medium;
  padding-top: 30px;
  padding-bottom: 40px;
  padding-right: 40px;
  padding-left: 40px;
  gap: 10px;
}

.product-page-container p {
  margin: 0;
}

.category-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 20px;
  margin-top: 10px;
  margin-bottom: 10px;
}

.category-card {
  text-align: center;
  min-width: 100px;
}

.product-page-text p {
  font-family: "Lato";
  color: rgba(66, 77, 171, 1);
  font-size: small;
}

.category-card {
  cursor: pointer;
}

.product-page-header p {
  font-family: "Lato";
  font-size: x-large;
}

.product-page-header {
  margin-right: 20px;
}

.product-page-text {
  margin-right: 20px;
}

.category-container {
  margin-right: 20px;
}

@media (max-width: 885px) {
  .product-page-header {
    margin-right: 0px;
  }

  .product-page-text {
    margin-right: 0px;
  }

  .category-container {
    margin-right: 0px;
  }

  .product-page-container {
    margin-top: 10px;
  }
}

@media (max-width: 573px) {
  .product-img {
    min-height: auto;
  }
  .product-list {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .product{
    width: 80%;
  }
}


.filter-options-maincontainer{
  width: 100%;
  display: flex;
  align-items: center;
}

@media (max-width:400px) {
  .ssortby-option p{
    font-size: 13px;
  }
}

@media (max-width:340px) {
  .ssortby-options{
    padding-left: 10px;
  }
}